Package org.gradle.nativeplatform.toolchain

# Interface Swiftc

All Superinterfaces:
  `Named`, `NativeToolChain`, `ToolChain`

@Incubating public interface Swiftc extends NativeToolChain
The Swift Compiler tool chain.

Since:
  4.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<File>`
  `getPath()`
  The paths setting required for executing the tool chain.
  `void`
  `path(Object... pathEntries)`
  Append an entry or entries to the tool chain path.

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

  ### Methods inherited from interface org.gradle.platform.base.ToolChain

  `getDisplayName`

- ## Method Details

  - ### getPath

    List<File> getPath()
    The paths setting required for executing the tool chain. These are used to locate tools for this tool chain, and are prepended to the system PATH when executing these tools.

  - ### path

    void path(Object... pathEntries)
    Append an entry or entries to the tool chain path.
    Parameters:
      `pathEntries` - The path values to append. These are evaluated as per `Project.files(Object...)`